<template>
  <div class="app-container">
    <div class="search_form">
      <div>
        <span class="search_title">供应商档案：</span>
        <el-input
            v-model="searchForm.supplierName"
            style="width: 240px"
            placeholder="输入供应商名称搜索"
            @change="handleQuery"
            clearable
            :prefix-icon="Search"
        />
        <el-button type="primary" @click="handleQuery" style="margin-left: 10px">搜索</el-button>
      </div>
    </div>
    <div class="table_list">
      <PIMTable :column="tableColumn" :tableData="tableData" :page="page" :isShowSummary="true" style="width: 50%" :highlightCurrentRow="true"
                :tableLoading="tableLoading" @pagination="pagination" :total="total" :row-click="setTableData"></PIMTable>
      <PIMTable :column="tableColumn1" :tableData="tableData1" :isShowSummary="true" style="width: 50%"></PIMTable>
    </div>
  </div>
</template>

<script setup>
import { ref } from 'vue'
import {Search} from "@element-plus/icons-vue";
import {paymentLedgerList} from "@/api/procurementManagement/paymentLedger.js";

const tableColumn = ref([
  {
    label: '供应商名称',
    prop: 'supplierName',
  },
  {
    label: '来票金额(元)',
    prop: 'invoiceAmount'
  },
  {
    label: '付款金额(元)',
    prop: 'paymentAmount'
  },
  {
    label: '应付款金额(元)',
    prop: 'payableAmount'
  },
])
const tableColumn1 = ref([
  {
    label: '发生日期',
    prop: 'createTime',
  },
  {
    label: '来票数',
    prop: 'voteCount'
  },
  {
    label: '付款金额(元)',
    prop: 'paymentAmount'
  },
  {
    label: '应付款金额(元)',
    prop: 'payableAmount'
  },
])
const tableData = ref([])
const tableData1 = ref([])
const tableLoading = ref(false)
const page = reactive({
  current: 1,
  size: 10,
})
const total = ref(0)

// 用户信息表单弹框数据
const data = reactive({
  searchForm: {
    supplierName: '',
  },
})
const { searchForm } = toRefs(data)

// 查询列表
/** 搜索按钮操作 */
const handleQuery = () => {
  page.current = 1
  getList()
}
const setTableData = (data) => {
  tableData1.value = data.details
}
const pagination = ({ current, limit }) => {
  page.current = current;
  page.size = limit;
  getList()
}
const getList = () => {
  tableLoading.value = true
  paymentLedgerList({...searchForm.value, ...page}).then(res => {
    tableLoading.value = false
    tableData.value = res.data
    total.value = res.total
  })
}
getList()
</script>

<style scoped lang="scss">
.table_list {
  display: flex;
}
</style>
